package com.red.circle.console.app.service.app.activity;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.activity.ActivityPictureQryCmd;
import com.red.circle.other.inner.model.dto.activity.ActivityPictureConfigDTO;

/**
 * 活动图片配置
 * @author zongpubin on 2024/1/29
 */
public interface PictureConfigService {

  PageResult<ActivityPictureConfigDTO> getActivityPicture(ActivityPictureQryCmd query);

  void addActivityPicture(ActivityPictureConfigDTO dto);

  void removeActivityPicture(Long id);

  void updateActivityPicture(ActivityPictureConfigDTO dto);
}
